Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members

# Components::Deployment::Container Interface Reference

`import "Component_Base.idl";`

List of all members.

## Public Member Functions
ComponentServer | get_component_server ()
CCMHome | install_home (in UUID id, in string entrypt, in ConfigValues config) raises (UnknownImplId, ImplEntryPointNotFound, InstallationFailure, InvalidConfiguration)
void | remove_home (in CCMHome href) raises (RemoveFailure)
CCMHomes | get_homes ()
void | remove () raises (RemoveFailure)
ComponentServer | get_component_server ()
CCMHome | install_home (in UUID id, in string entrypt, in ConfigValues config) raises (UnknownImplId, ImplEntryPointNotFound, InstallationFailure, InvalidConfiguration)
void | remove_home (in CCMHome href) raises (RemoveFailure)
CCMHomes | get_homes ()
void | remove () raises (RemoveFailure)
## Public Attributes
readonly attribute ConfigValues | configuration

## Member Function Documentation

ComponentServer Components::Deployment::Container::get_component_server | ( |  | ) |

ComponentServer Components::Deployment::Container::get_component_server | ( |  | ) |

CCMHomes Components::Deployment::Container::get_homes | ( |  | ) |

CCMHomes Components::Deployment::Container::get_homes | ( |  | ) |

CCMHome Components::Deployment::Container::install_home | ( | in UUID | id,
|  | in string | entrypt,
|  | in ConfigValues | config
| ) | raises (UnknownImplId, ImplEntryPointNotFound, InstallationFailure, InvalidConfiguration)

CCMHome Components::Deployment::Container::install_home | ( | in UUID | id,
|  | in string | entrypt,
|  | in ConfigValues | config
| ) | raises (UnknownImplId, ImplEntryPointNotFound, InstallationFailure, InvalidConfiguration)

void Components::Deployment::Container::remove | ( |  | ) | raises (RemoveFailure)

void Components::Deployment::Container::remove | ( |  | ) | raises (RemoveFailure)

void Components::Deployment::Container::remove_home | ( | in CCMHome | href | ) | raises (RemoveFailure)

void Components::Deployment::Container::remove_home | ( | in CCMHome | href | ) | raises (RemoveFailure)

## Member Data Documentation

readonly attribute ConfigValues Components::Deployment::Container::configuration

The documentation for this interface was generated from the following files:

- CCM_Deployment.idl
- Component_Base.idl